---
title: "Roadmap"
description: "The planned feature roadmap for the Yew framework"
---

## Prioritization

The prioritization of upcoming features and focuses of the framework is determined by the community. 
In Spring 2020, a developer survey was sent out to collect feedback on the direction of the project. 
You can find the summary in the [Yew Wiki](https://github.com/yewstack/yew/wiki/Dev-Survey-%5BSpring-2020%5D).

:::note
Status of all major initiatives can be tracked on the Yew Github [project board](https://github.com/yewstack/yew/projects)
:::

## Focuses

1. Top Requested Features
2. Production Readiness
3. Documentation
4. Pain Points

### Most requested features

1. [Functional Components](https://github.com/yewstack/yew/projects/3)
2. [Component Library](https://github.com/yewstack/yew/projects/4)
3. Better state management
4. [Server side rendering](https://github.com/yewstack/yew/projects/5)

### Issues needed for production readiness

* Improve Yew test coverage
* Reduce binary size
* [Benchmark performance](https://github.com/yewstack/yew/issues/5)

### Documentation

* Create tutorial
* Simplify project setup

### Pain points

* [Component boilerplate](https://github.com/yewstack/yew/issues/830)
* Fetch API
* [Agents](https://github.com/yewstack/yew/projects/6)

