---
title: Refs
description: Out-of-band DOM access
---

`ref`は、任意のHTML要素やコンポーネントの内部で、割り当てられているDOM`Element`を取得するために使用することができます。
これは、`view` ライフサイクルメソッドの外でDOMに変更を加えるために使用できます。

これは、キャンバスの要素を取得したり、ページの異なるセクションにスクロールしたりするのに便利です。

構文は以下の通りです:

```rust
// In create
self.node_ref = NodeRef::default();

// In view
html! {
    <div ref={self.node_ref.clone()}></div>
}

// In update
let has_attributes = self.node_ref.try_into::<Element>().has_attributes();
```

