# Table of contents

* [简介](README.md)

## 从零开始 <a id="getting-started"></a>

* [项目设置](getting-started/project-setup.md)
  * [使用 wasm-pack](getting-started/project-setup/using-wasm-pack.md)
  * [使用 wasm-bindgen](getting-started/project-setup/using-wasm-bindgen.md)
  * [使用 cargo-web](getting-started/project-setup/using-cargo-web.md)
* [新手模板](getting-started/starter-templates.md)
* [第一个简单的 App](getting-started/build-a-sample-app.md)
* [选择 web-sys 还是 stdweb](getting-started/choose-web-library.md)
* [通过例子学习](getting-started/examples.md)

## 核心概念 <a id="concepts"></a>

* [使用 html! 宏](concepts/html.md)
  * [列表](concepts/html/lists.md)
  * [元素](concepts/html/elements.md)
  * [常量和表达式](concepts/html/literals-and-expressions.md)
  * [组件](concepts/html/components.md)
* [组件（Components）](concepts/components.md)
  * [属性（Properties）](concepts/components/properties.md)
  * [回调（Callbacks）](concepts/components/callbacks.md)
  * [Refs](concepts/components/refs.md)
* [Agents](concepts/agents.md)
* [Services](concepts/services.md)
  * [Format](concepts/services/format.md)
* [Router](concepts/router.md)

## 高级主题 <a id="advanced-topics"></a>

* [性能优化与最佳实践](advanced-topics/optimizations.md)
* [底层库的内部细节](advanced-topics/how-it-works.md)

## 更多 <a id="more"></a>

* [CSS](more/css.md)
* [路线图](more/roadmap.md)
* [测试](more/testing.md)
* [Debugging](more/debugging.md)
* [外部库](more/external-libs.md)

