---
title: "External libraries"
description: "Libraries that can help with Yew development"
---

## Malvolio

[Malvolio](https://crates.io/crates/malvolio) is a library with a "builder-syntax" for creating complex HTML documents 
with ease. It runs both on servers (and renders to strings) or in browsers (with Yew).

## Weblog

[weblog](https://crates.io/crates/weblog) is a crate that defines a set of macros for calling `console.log()`,
`console.error()` and other members of the browser's console API when targeting WASM.

## Gloo

[Gloo](https://crates.io/crates/gloo) is a modular toolkit for building fast, reliable Web applications and
libraries with Rust and Wasm. Gloo provides ergonomic Rust APIs for working with:

- [Console timers](https://crates.io/crates/gloo-console-timer)
- [Dialogs](https://crates.io/crates/gloo-dialogs)
- [Events](https://crates.io/crates/gloo-events)
- [Files](https://crates.io/crates/gloo-file)
- [Timers](https://crates.io/crates/gloo-timers)
- [Web Storage](https://crates.io/crates/gloo-storage)

## Reqwasm

[Reqwasm](https://crates.io/crates/reqwasm) is an HTTP requests library for WASM Apps.
It provides idiomatic Rust API for the browser's `fetch` and `WebSocket` API.

## Looking For

Libraries that the ecosystem needs, but doesn't have yet.

Bootstrap/MaterialUi/arbitrary css framework component wrappers.
